Bug 167308 - keyboard-properties double free
keyboard-properties double free
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-01 10:46 EDT by Han-Wen Nienhuys
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: control-center-2.16.0-3.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-16 10:09:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Han-Wen Nienhuys 2005-09-01 10:46:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; nl-NL; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:


Version-Release number of selected component (if applicable):
control-center-2.10.1-6

How reproducible:
Always

Steps to Reproduce:
1. start gnome-keyboard-properties
2. layout > add.
3. focus on list on the left , scroll down using keyboard down-arrow.



Actual Results:  
boom:

*** glibc detected *** gnome-keyboard-properties: double free or corruption (!prev): 0x08b03798 ***
======= Backtrace: =========
/lib/libc.so.6[0xa1e124]
/lib/libc.so.6(__libc_free+0x77)[0xa1e65f]
/usr/lib/libglib-2.0.so.0(g_free+0x22)[0xd81b44]
gnome-keyboard-properties[0x805cfd6]
gnome-keyboard-properties(keyboard_drawing_set_keyboard+0x16)[0x805d6b3]
gnome-keyboard-properties(xkb_layout_preview_update+0x1fd)[0x80548c0]
gnome-keyboard-properties[0x8052fb7]
/usr/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x47)[0x222817]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x10a)[0x217285]
/usr/lib/libgobject-2.0.so.0[0x22578b]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x6ab)[0x226ee0]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x227254]
/usr/lib/libgtk-x11-2.0.so.0[0x294f498]
/usr/lib/libgtk-x11-2.0.so.0[0x296100e]
/usr/lib/libgtk-x11-2.0.so.0[0x2968840]
/usr/lib/libgtk-x11-2.0.so.0[0x289f640]
/usr/lib/libgobject-2.0.so.0[0x216d9b]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x10a)[0x217285]
/usr/lib/libgobject-2.0.so.0[0x225917]
/usr/lib/libgobject-2.0.so.0(g_signal_emitv+0x144)[0x226631]
/usr/lib/libgtk-x11-2.0.so.0[0x27e1705]
/usr/lib/libgtk-x11-2.0.so.0[0x27e26d9]
/usr/lib/libgtk-x11-2.0.so.0[0x27e2949]
/usr/lib/libgtk-x11-2.0.so.0(gtk_bindings_activate_event+0xd2)[0x27e2b47]
/usr/lib/libgtk-x11-2.0.so.0[0x297a8e1]
/usr/lib/libgtk-x11-2.0.so.0[0x296685d]
/usr/lib/libgtk-x11-2.0.so.0[0x289f352]
/usr/lib/libgobject-2.0.so.0[0x216d9b]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x10a)[0x217285]
/usr/lib/libgobject-2.0.so.0[0x225917]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x41e)[0x226c53]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x227254]
/usr/lib/libgtk-x11-2.0.so.0[0x297aac3]
/usr/lib/libgtk-x11-2.0.so.0(gtk_window_propagate_key_event+0x108)[0x2989587]
/usr/lib/libgtk-x11-2.0.so.0[0x298d706]
/usr/lib/libgtk-x11-2.0.so.0[0x289f352]
/usr/lib/libgobject-2.0.so.0[0x216d9b]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x10a)[0x217285]
/usr/lib/libgobject-2.0.so.0[0x225917]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x41e)[0x226c53]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x227254]
/usr/lib/libgtk-x11-2.0.so.0[0x297aac3]
/usr/lib/libgtk-x11-2.0.so.0(gtk_propagate_event+0x1d3)[0x289dbc9]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main_do_event+0x329)[0x289def4]
/usr/lib/libgdk-x11-2.0.so.0[0x33dd6e]
/usr/lib/libglib-2.0.so.0(g_main_context_dispatch+0x1dc)[0xd7b3ee]
/usr/lib/libglib-2.0.so.0[0xd7e3f6]
/usr/lib/libglib-2.0.so.0(g_main_loop_run+0x1a1)[0xd7e6e3]
/usr/lib/libgtk-x11-2.0.so.0(gtk_dialog_run+0x18b)[0x282e6d1]
gnome-keyboard-properties(xkb_layout_choose+0x122)[0x8053b19]
/usr/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x47)[0x222817]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x10a)[0x217285]
/usr/lib/libgobject-2.0.so.0[0x22578b]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x6ab)[0x226ee0]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x227254]
/usr/lib/libgtk-x11-2.0.so.0(gtk_button_clicked+0x54)[0x27e5b1c]
/usr/lib/libgtk-x11-2.0.so.0[0x27e7280]
/usr/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x47)[0x222817]
/usr/lib/libgobject-2.0.so.0[0x216d9b]
/usr/lib/libgobject-2.0.so.0(g_closure_invoke+0x10a)[0x217285]
/usr/lib/libgobject-2.0.so.0[0x2253e0]
/usr/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x6ab)[0x226ee0]
/usr/lib/libgobject-2.0.so.0(g_signal_emit+0x29)[0x227254]
======= Memory map: ========
00101000-00114000 r-xp 00000000 fd:00 700453     /usr/lib/libgnome-desktop-2.so.2.2.2
00114000-00115000 rwxp 00013000 fd:00 700453     /usr/lib/libgnome-desktop-2.so.2.2.2
00117000-0011a000 r-xp 00000000 fd:00 700455     /usr/lib/libgnome-window-settings.so.1.0.0
0011a000-0011b000 rwxp 00002000 fd:00 700455     /usr/lib/libgnome-window-settings.so.1.0.0
0011b000-00123000 r-xp 00000000 fd:00 1669263    /usr/X11R6/lib/libSM.so.6.0
00123000-00124000 rwxp 00007000 fd:00 1669263    /usr/X11R6/lib/libSM.so.6.0
00124000-00127000 r-xp 00000000 fd:00 1672548    /usr/X11R6/lib/libXrandr.so.2.000127000-00128000 rwxp 00002000 fd:00 1672548    /usr/X11R6/lib/libXrandr.so.2.000128000-0012a000 r-xp 00000000 fd:00 667966     /usr/lib/libkrb5support.so.0.0
0012a000-0012b000 rwxp 00001000 fd:00 667966     /usr/lib/libkrb5support.so.0.0
0012b000-00139000 r-xp 00000000 fd:00 700454     /usr/lib/libgnome-menu.so.0.0.000139000-0013a000

  

Additional info:
Comment 1 Han-Wen Nienhuys 2006-09-16 10:09:55 EDT
works in control-center-2.16.0-3.fc6

Note You need to log in before you can comment on or make changes to this bug.